Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.parser
Class PTreeBuilderValidater

    java.lang.Object
      unity.parser.PTreeBuilderValidater

    public class PTreeBuilderValidater

extends java.lang.Object

Constructor Summary
`PTreeBuilderValidater(GlobalSchema s)`

Method Summary
`SimpleNode` | `buildPTree(java.lang.String semQuery)`
`void` | `ParseQuery(SimpleNode snQueryRoot, SubQuery sq, java.util.HashMap tableReferences, java.util.HashMap fieldReferences)`
`void` | `ValidateFields(SimpleNode snQueryRoot, java.util.HashMap tableReferences, java.util.HashMap fieldReferences, SubQuery sq)`
`GlobalQuery` | `validatePTree(java.lang.String semQuery, SimpleNode parseTreeRoot)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PTreeBuilderValidater

    public PTreeBuilderValidater(GlobalSchema s)

Method Detail

### buildPTree

    public SimpleNode buildPTree(java.lang.String semQuery)
                          throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### validatePTree

    public GlobalQuery validatePTree(java.lang.String semQuery,
                                     SimpleNode parseTreeRoot)
                              throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### ParseQuery

    public void ParseQuery(SimpleNode snQueryRoot,
                           SubQuery sq,
                           java.util.HashMap tableReferences,
                           java.util.HashMap fieldReferences)
                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### ValidateFields

    public void ValidateFields(SimpleNode snQueryRoot,
                               java.util.HashMap tableReferences,
                               java.util.HashMap fieldReferences,
                               SubQuery sq)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD